[Résolu] Erreur au login en su :


#1

Bonsoir,

Depuis la mise à jour de tout à l’heure, voilà que j’ai des erreurs dans la console sous X :

erreur de configuration - élément « QUOTAS_ENAB » inconnu (avertissez l'administrateur) erreur de configuration - élément « NOLOGIN_STR » inconnu (avertissez l'administrateur) erreur de configuration - élément « ENV_HZ » inconnu (avertissez l'administrateur) erreur de configuration - élément « PASS_MAX_LEN » inconnu (avertissez l'administrateur) erreur de configuration - élément « CHFN_AUTH » inconnu (avertissez l'administrateur) erreur de configuration - élément « CLOSE_SESSIONS » inconnu (avertissez l'administrateur)
J’ai bien vu que l’installation me proposait de reconfigurer /etc/login.defs, mais comme souvent, j’ai laissé l’action par défaut (N : ne rien changer). Il semble que j’ai mal joué :frowning:
Malgré ces erreurs, seules quelques applications refusent de se lancer.
Exemple : synaptic refuse de se lancer depuis les menus (mais se lance correctement depuis su).
Mais comment faire ?

Ce problème est rencontré aussi sur la liste linux.debian.user.french, sans solution, pour le moment.

Merci du coup de main :smiley:


#2

Bonjour, j’ai eu le même problème que toi il y a quelques jours (je suis en sid), si je me souviens bien, j’ai simplement réinstaller le packages “login” et quand il m’a demandé si je voulais installer les nouvelles versions des fichiers, j’ai répondu oui.

En fait, je pense que le problème ne vient pas du fichier login.defs mais du fichier /etc/pam.d/su qui a également changer …


#3

Quand je réinstalle le paquet login, il ne m’est pas proposé d’installer les nouvelles versions des fichiers.
J’ai alors choisi de désinstaller login, pour le réinstaller ensuite, mais j’ai eu un message d’alerte m’indiquant que je risquais de rendre mon système inutilisable :cry:
Je n’ai pas pris ce risque…


#4

apt-get install --reinstall login


#5

Oui, merci MattOTop, mais cette action a le même effet que “Réinstaller” sous synaptic, et ne me propose pas d’installer les nouvelles versions des fichiers, dont parle Yolker :unamused:


#6

peut être aque dans d’autres sources/version:
apt-cache policy login
puis
apt-get install login=
regardes aussi les options de apt-get, parcequ’il y en a beaucoup.


#7

Merci Mat, j’ai ré-installé la version Sarge de login (1:4.0.3-31sarge5 au lieu de 1:4.0.12-6 candidate dans Testing), et je n’ai plus de problème.

Je vais suivre cette affaire de près quand même, car j’estime que cela n’est pas un problème résolu, mais replâtré si je puis dire :slightly_smiling:


#8

Et maintenant si tu réinstalle la dernière version, il ne te propose pas de mettre à jour les fichiers ?


#9

Si, c’est fait, j’ai choisi “Y” et il m’a donc mis à jour les fameuses lignes…

Merci et bon WE !